/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2001  HASEGAWA Masafumi
 */

#ifndef __EBI_SOUND_H
#define __EBI_SOUND_H

#include "ebi_config.h"

__EBI_BEGIN_NAMESPACE

class Sound
{
 public:
  Sound ();
  virtual ~Sound ();

  bool open (const SDPcmMode& mode);
  void close ();
  bool output (const char* binary, int length);

 private:
  SDPcmMode m_mode;
  W m_delay;
  W m_dd;
};

__EBI_END_NAMESPACE

#endif /* __EBI_SOUND_H */
